Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002835Piwigodisplaypublic2013.02.04 11:002013.02.26 09:07
Reporterplg 
Assigned ToPat 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.5.0RC1Fixed in Version2.5.0RC1 
Summary0002835: ability detect mobile theme earlier, before plugin load
DescriptionIn Piwigo 2.4, when a plugin loads its main.inc.php, it doesn't know if Piwigo runs on a mobile device. Each plugin related to display has to detect it.

With a variable in the user session things could be much faster and easier.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0006828)
svn (reporter)
2013.02.04 11:02

[Subversion] r20543 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2835
ability detect mobile theme earlier, before plugin load
(0006832)
rvelices (developer)
2013.02.04 18:17

I disagree with this request and the changes made.
Plugins should subscrive to the event user_init and check it. It is always been like that - load plugins as early as possible and $user, $template etc ... are undefined at the loading time.
(0006833)
Pat (developer)
2013.02.05 19:11

Ok, plugins can detect mobile theme in trigger functions, but it is not really practical to do that in user_init event.
When plugins are loaded, $conf is initialized... why it is not the same for $_SESSION? Which problems can occur with the changes?
(0006836)
svn (reporter)
2013.02.07 06:43

[Subversion] r20599 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
start the php session before loading plugins in a standard manner (related to bug 2835: )

- Issue History
Date Modified Username Field Change
2013.02.04 11:00 plg New Issue
2013.02.04 11:00 plg Status new => assigned
2013.02.04 11:00 plg Assigned To => Pat
2013.02.04 11:00 plg browser => any
2013.02.04 11:00 plg Web server => Apache 1.3.x
2013.02.04 11:02 svn Checkin
2013.02.04 11:02 svn Note Added: 0006828
2013.02.04 12:32 plg Status assigned => closed
2013.02.04 12:32 plg Resolution open => fixed
2013.02.04 12:32 plg Fixed in Version => 2.5.0RC1
2013.02.04 18:17 rvelices Note Added: 0006832
2013.02.04 18:17 rvelices Status closed => feedback
2013.02.04 18:17 rvelices Resolution fixed => reopened
2013.02.05 19:11 Pat Note Added: 0006833
2013.02.07 06:43 svn Checkin
2013.02.07 06:43 svn Note Added: 0006836
2013.02.26 09:07 rvelices Status feedback => closed
2013.02.26 09:07 rvelices Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker